/// <reference types="node" />
/**
 * Various Image Overlays
 * @example
 * const image = new StrangeOverlays('Strange API token')
 * const approve = await image.approve('Image Url')
 */
export declare class Overlays {
    private opts;
    constructor(token: string);
    /**
     * Draws an 'approved' stamp over an image
     * @param image the image url
     */
    approve(image: string): Promise<Buffer>;
    /**
     * Draws an image with the brazzers logo on the side
     * @param image the image url
     */
    brazzers(image: string): Promise<Buffer>;
    /**
     * Draws gay overlay on an image
     * @param image the image url
     */
    gay(image: string): Promise<Buffer>;
    /**
     * Draws an image over a halloween border
     * @param image the image url
     */
    halloween(image: string): Promise<Buffer>;
    /**
     * Draws a "Thug Life" over an image
     * @param image the image url
     */
    thugLife(image: string): Promise<Buffer>;
    /**
     * Draws an image with "To Be Continued..." arrow
     * @param image the image url
     */
    toBeContinued(image: string): Promise<Buffer>;
    /**
     * Generates a wasted image
     * @param image the image url
     */
    wasted(image: string): Promise<Buffer>;
}
