import { Filters, Generators, Overlays, Utils } from "./classes";
/**
 * An API Wrapper for Strange API, an image manipulator.
 * @example
 * // Example usage
 * const image = new StrangeImage('Strange API token')
 * const blurredImage = await image.filters.blur('Image Url', 6)
 */
declare class StrangeImage {
    constructor(token: string);
    /**
     * Class with filter methods for manipulating images
     */
    filters: Filters;
    /**
     * Class with generators methods for manipulating images
     */
    generators: Generators;
    /**
    * Class with overlays methods for manipulating images
    */
    overlays: Overlays;
    /**
    * Class with utils methods for manipulating images
    */
    utils: Utils;
}
export { Filters as StrangeFilters, // Filters class
Generators as StrangeGenerators, // Generators class
Overlays as StrangeOverlays, // Overlays class
Utils as StrangeUtils, // Utils class
StrangeImage };
export default StrangeImage;
