"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBuffer = void 0;
const node_fetch_1 = require("node-fetch");
/**
 * Returns a buffer from the given url
 * @param url - the url to get the buffer from
 * @param options - any other fetch options
 */
async function getBuffer(url, options) {
    try {
        const response = options ? await (0, node_fetch_1.default)(url, options) : await (0, node_fetch_1.default)(url);
        if (!response.ok) {
            const errorText = await response.json();
            throw `${errorText.message}`;
        }
        const buffer = await response.buffer();
        return buffer;
    }
    catch (ex) {
        throw new Error(`getBufferError: ${ex}`);
    }
}
exports.getBuffer = getBuffer;
